Skip to main content
POST
/
email
/
campaigns
Create campaign
curl --request POST \
  --url https://www.dench.com/api/v1/email/campaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Q2 outreach",
  "identityId": "founder@example.com",
  "templateId": "etpl_abc123"
}
'
{
  "campaignId": "ecmp_abc123"
}

Authorizations

Authorization
string
header
required

Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.

Body

application/json
name
string
required
identityId
string
required

Sending identity id OR a verified from-email.

templateId
string
required
scheduledAt
number

Epoch ms to start sending; omit to send on submit.

maxRecipients
number
batchSize
number
metadata
object

Response

Successful response

campaignId
string
required